Add a competitor

POST
/competitors

Authorization

BearerAuth
headerAuthorizationBearer <token>

An instance admin key from ADMIN_API_KEYS, or an organization key (elmo_…) issued from the dashboard.

Request Body

application/json
  1. body

Add a competitor to a brand.

brandId*string
Length1 <= length
name*string
Length1 <= length
domains?array<string>
aliases?array<string>

Response Body

Competitor created

application/json
  1. response
id*string
Formatuuid
brandId*string
name*string
domains*array<string>
aliases*array<string>
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
Example Request
curl -X POST 'https://app.elmohq.com/api/v1/competitors' \
  -H 'Content-Type: application/json' \
  -d '{
  "brandId": "string",
  "name": "string"
}'
Example Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "brandId": "string",
  "name": "string",
  "domains": [
    "string"
  ],
  "aliases": [
    "string"
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}